Update or create a product (upsert)
Update or create a product (upsert)
Requires the PRODUCT.CREATE or PRODUCT.UPDATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
Headers
x-platform-id
Platform ID.
Query parameters
identifier_field
Which field to use to identify whether the resource exists or not
custom_field_reference
Which custom field to use to identify whether the resource exists or not
field_actions
The list of actions for specific fields.
Request
This endpoint expects an object.
category_id
The resource ID of the product category, that belongs to the product.
name
reference
product_type
Allowed values:
category
parent_product_id
The resource ID of the original product, to which the product will belong to.
description
status
The status of the product.
Allowed values:
tax_category
The default tax category applied to the product.
Allowed values:
features
The features associated with the product.
custom_fields
display_order
Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
linked_integrations
billing_entity_id
The resource ID of the billing entity linked to this product.
Response
Created
category_id
The resource ID of the product category, that belongs to the product.
name
reference
product_type
Allowed values:
object_type
id
category
parent_product_id
The resource ID of the original product, to which the product will belong to.
description
status
The status of the product.
Allowed values:
tax_category
The default tax category applied to the product.
Allowed values:
features
The features associated with the product.
custom_fields
display_order
Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
linked_integrations
billing_entity_id
The resource ID of the billing entity linked to this product.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error